ConlluStream (Apache OpenNLP :: Core :: Formats 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.formats.conllu, class: ConlluStream

Package opennlp.tools.formats.conllu

# Class ConlluStream

java.lang.Object
opennlp.tools.formats.conllu.ConlluStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<ConlluSentence>`

public class ConlluStream extends Object implements opennlp.tools.util.ObjectStream<ConlluSentence>
The CoNNL-U Format is specified here.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConlluStream(opennlp.tools.util.InputStreamFactory in)`
  Initializes a `ConlluStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `ConlluSentence`
  `read()`
  `void`
  `reset()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConlluStream

    public ConlluStream(opennlp.tools.util.InputStreamFactory in) throws IOException
    Initializes a `ConlluStream`.
    Parameters:
      `in` - The `InputStreamFactory` to use. Characters will be interpreted in UTF-8.
    Throws:
      `IOException` - Thrown if IO errors occurred during initialization.

- ## Method Details

  - ### read

    public ConlluSentence read() throws IOException
    Specified by:
      `read` in interface `opennlp.tools.util.ObjectStream<ConlluSentence>`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `opennlp.tools.util.ObjectStream<ConlluSentence>`
    Throws:
      `IOException`

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Specified by:
      `reset` in interface `opennlp.tools.util.ObjectStream<ConlluSentence>`
    Throws:
      `IOException`
      `UnsupportedOperationException`